const feveriq = require("../Main");

const input = {
  demographic: {
    "Age":    30,
    "Bmi":    10,
    "Gender": "Male",
    "TemperatureC": 36.8,
    "Travel_Self": false,
    "Travel_CloseContact": false,
    "currentGeoLocationCode": "US_CA"
  },
  symptoms: {
    "Fever":                false,
    "Unexplained Fatigue":  true,
    "Dry Cough":            false,
    "Sneezing":             false,
    "Aches":                false,
    "Runny Nose":           false,
    "Sore Throat":          false,
    "Diarrhea":             false,
    "Headache":             false,
    "Trouble Breathing":    false,
    "Loss of smell":        false,
    "Unexplained Allergies":false,
    "Hallucinations":       false,
    "Vomiting":             false,
    "Blue Toes":            true,
    "Skipped Meals":        false,
    "COVID-19 in household":false,
    "COVID-19 test result": false,
    "COVID-19 test type":   "PCR",
  },
  comorbidities: {
    "Asthma":                 false,
    "Cancer":                 false,
    "Chronic Kidney Disease": false,
    "COPD":                   false,
    "Cystic Fibrosis":        false,
    "Diabetes":               false,
    "Heart Disease":          false,
    "Hepatitis":              false,
    "High Blood Pressure":    false,
    "HIV":                    false,
    "Liver Cirrhosis":        false,
    "Organ Transplant":       false,
    "SCID":                   false,
    "Sickle Cell":            false,
    "Smoking/Vaping":         false,
  }
}

/*test key*/
const api_key = "8998908f-c19f-4d4e-9e91-a204588a52bb";

feveriq.api_key(api_key);
feveriq.input(input);
feveriq.Main().then(res => {console.log(res)});